Package io.vertx.openapi.validation.transformer

## Class SimpleTransformer

- java.lang.Object
- - io.vertx.openapi.validation.transformer.ParameterTransformer
  - - io.vertx.openapi.validation.transformer.SimpleTransformer

-     public class SimpleTransformer
      extends ParameterTransformer

  +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | style | explode | empty | string | array | object | +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | simple | false | | blue | blue,black,brown | R,100,G,200,B,150 | +--------+---------+--------+-------------+-------------------------------------+--------------------------+ | simple | true | | blue | blue,black,brown | R=100,G=200,B=150 | +--------+---------+--------+-------------+-------------------------------------+--------------------------+

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected String[]` | `getArrayValues​(Parameter parameter, String rawValue)` |
    `protected String[]` | `getObjectKeysAndValues​(Parameter parameter, String rawValue)` |

    - ### Methods inherited from class io.vertx.openapi.validation.transformer.ParameterTransformer

      `transform, transformArray, transformObject, transformPrimitive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTransformer

          public SimpleTransformer()

  - ### Method Detail

    - #### getArrayValues

          protected String[] getArrayValues​(Parameter parameter,
                                            String rawValue)

      Specified by:
        `getArrayValues` in class `ParameterTransformer`

    - #### getObjectKeysAndValues

          protected String[] getObjectKeysAndValues​(Parameter parameter,
                                                    String rawValue)

      Specified by:
        `getObjectKeysAndValues` in class `ParameterTransformer`